#!/usr/bin/perl -T

# simmplest form of the test that failed, put -d and abs file test in separate statements

use File::Spec;
use File::Temp qw(tempdir);

use Test::More tests => 1;

my $pathdir = $ENV{HOME};  # make variable tainted and set to an existing absolute directory
(-d $pathdir);
File::Spec->file_name_is_absolute($pathdir);

my $workdir = tempdir("temp.XXXXXX", DIR => "log");

ok((-d $workdir), 'tempdir test');
